Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 974284

Summary: Intermittent inability to nav UI, minor (?) session expiry notice in logs
Product: Red Hat Satellite 6 Reporter: Corey Welton <cwelton>
Component: InfrastructureAssignee: Marek Hulan <mhulan>
Status: CLOSED NOTABUG QA Contact: Katello QA List <katello-qa-list>
Severity: low Docs Contact:
Priority: unspecified    
Version: 6.0.0CC: bkearney, dcleal, mmccune
Target Milestone: UnspecifiedKeywords: Triaged
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-05 14:20:13 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Corey Welton 2013-06-13 16:22:49 EDT
Description of problem:
No real way to repro this yet, but I saw it take place.  While actively navigating the UI, I suddenly got some sort of "Unexpected error occurred". Examining the logs showed some sort of session expiry.  However, I was then continually able to nav the UI like nothing happened.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Nothing clear here, but I navigated to a host and clicked the link next to Host Architecture to view all systems that matched "x86_64"
2. View results and logfile
3. Continue to navigate UI.

Actual results:

From logs:

* A generic red message about some unexpected error (sorry, didn't get a screenshot)
* A message in the foreman logs

Started GET "/foreman/hosts?search=architecture+%3D+x86_64" for 127.0.0.1 at 2013-06-13 16:11:40 -0400
Processing by HostsController#index as HTML
  Parameters: {"search"=>"architecture = x86_64"}
Session for Admin User is expired.
Redirected to https://ibm-x3550m3-13.lab.eng.brq.redhat.com/signo?return_url=https://ibm-x3550m3-13.lab.eng.brq.redhat.com/foreman/hosts?search=architecture+%253D+x86_64&notice=expired
Filter chain halted as :session_expiry rendered or redirected
Completed 302 Found in 4ms (ActiveRecord: 0.9ms)

Started GET "/foreman/hosts/ohmygod.example.org" for 127.0.0.1 at 2013-06-13 16:11:43 -0400
Processing by HostsController#show as HTML
  Parameters: {"id"=>"ohmygod.example.org"}
  Rendered text template (0.0ms)
Filter chain halted as :require_login rendered or redirected
Completed 401 Unauthorized in 2ms (Views: 0.6ms | ActiveRecord: 0.0ms)



Expected results:

No intermittent weird messages like this.


Additional info:
Will close this out if I don't see it recurring and/or will update if I find a definite repro, but figured I'd get it listed here for now.

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10009-1.noarch
* foreman-compute-1.1.10009-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10009-1.noarch
* foreman-postgresql-1.1.10009-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch
* katello-1.4.2-12.el6sat.noarch
* katello-all-1.4.2-12.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-7.el6sat.noarch
* katello-cli-common-1.4.2-7.el6sat.noarch
* katello-common-1.4.2-12.el6sat.noarch
* katello-configure-1.4.3-15.el6sat.noarch
* katello-configure-foreman-1.4.3-15.el6sat.noarch
* katello-foreman-all-1.4.2-12.el6sat.noarch
* katello-glue-candlepin-1.4.2-12.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-12.el6sat.noarch
* katello-glue-pulp-1.4.2-12.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* openldap-devel-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* signo-0.0.16-1.el6sat.noarch
* signo-katello-0.0.16-1.el6sat.noarch
Comment 3 Bryan Kearney 2014-01-13 10:10:11 EST
signo is removed in Sat6 MDP3, so moving this to POST. It should no longer be an issue.
Comment 4 Mike McCune 2014-01-16 16:16:39 EST
removing signo component and moving these bugs to 'Infrastructure'
Comment 6 Bryan Kearney 2014-02-18 09:16:42 EST
moving to ON_QA, signo is out.